org.apache.poi.poifs.crypt.binaryrc4

## Class BinaryRC4EncryptionInfoBuilder

- java.lang.Object
- - org.apache.poi.poifs.crypt.binaryrc4.BinaryRC4EncryptionInfoBuilder

- All Implemented Interfaces:
    EncryptionInfoBuilder

      public class BinaryRC4EncryptionInfoBuilder
      extends java.lang.Object
      implements EncryptionInfoBuilder

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BinaryRC4EncryptionInfoBuilder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `initialize(EncryptionInfo info, CipherAlgorithm cipherAlgorithm, HashAlgorithm hashAlgorithm, int keyBits, int blockSize, ChainingMode chainingMode)` initialize the builder from scratch
    `void` | `initialize(EncryptionInfo info, LittleEndianInput dis)` initialize the builder from a stream

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BinaryRC4EncryptionInfoBuilder

          public BinaryRC4EncryptionInfoBuilder()

  - ### Method Detail

    - #### initialize

          public void initialize(EncryptionInfo info,
                                 LittleEndianInput dis)
                          throws java.io.IOException

      Description copied from interface: `EncryptionInfoBuilder`
      initialize the builder from a stream
      Specified by:
        `initialize` in interface `EncryptionInfoBuilder`
      Throws:
        `java.io.IOException`

    - #### initialize

          public void initialize(EncryptionInfo info,
                                 CipherAlgorithm cipherAlgorithm,
                                 HashAlgorithm hashAlgorithm,
                                 int keyBits,
                                 int blockSize,
                                 ChainingMode chainingMode)

      Description copied from interface: `EncryptionInfoBuilder`
      initialize the builder from scratch
      Specified by:
        `initialize` in interface `EncryptionInfoBuilder`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.